"{ Package: 'stx:goodies/monticello' }"

MCReader subclass:#MCSnapshotReader
	instanceVariableNames:'definitions'
	classVariableNames:''
	poolDictionaries:''
	category:'SCM-Monticello-Storing'
!


!MCSnapshotReader class methodsFor:'as yet unclassified'!

snapshotFromStream: aStream
	^ (self on: aStream) snapshot
! !

!MCSnapshotReader methodsFor:'as yet unclassified'!

definitions
	definitions ifNil: [self loadDefinitions].
	^ definitions
!

snapshot
	^ MCSnapshot fromDefinitions: self definitions
! !

!MCSnapshotReader class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCSnapshotReader.st,v 1.4 2012-09-11 21:28:52 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCSnapshotReader.st,v 1.4 2012-09-11 21:28:52 cg Exp $'
!

version_SVN
    ^ 'Id: MCSnapshotReader.st 5 2010-08-29 07:30:29Z vranyj1 '
! !
